Up

# NSColorPanel

### Authors

Scott Christley (`scottc@net-community.com`)

> System generic color panel

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSColorPanel class
2. Software documentation for the NSApplication(NSColorPanel) category

# Software documentation for the NSColorPanel class

## NSColorPanel : NSPanel

> Declared in:
>   AppKit/NSColorPanel.h

Availability: OpenStep

TODO Description

Instance Variables
Method summary

- +dragColor:withEvent:fromView:
- +setPickerMask:
- +setPickerMode:
- +sharedColorPanel
- +sharedColorPanelExists
- -accessoryView
- -alpha
- -attachColorList:
- -color
- -detachColorList:
- -isContinuous
- -mode
- -setAccessoryView:
- -setAction:
- -setColor:
- -setContinuous:
- -setMode:
- -setShowsAlpha:
- -setTarget:
- -showsAlpha

### dragColor: withEvent: fromView:

+ (BOOL) dragColor: (NSColor*)aColor withEvent: (NSEvent*)anEvent fromView: (NSView*)sourceView;
Availability: OpenStep

Drags aColor frome sourceView at the location give by the event anEvent ( [NSView -convertPoint:fromView:] ). The type declare into the pasteboard is NSColorPboardType

See Also: [NSView -convertPoint:fromView:] [NSView-dragImage:at:offset:event:pasteboard:source:slideBack:

### setPickerMask:

+ (void) setPickerMask: (int)mask;
Availability: OpenStep
Description forthcoming.

### setPickerMode:

+ (void) setPickerMode: (int)mode;
Availability: OpenStep
Description forthcoming.

### sharedColorPanel

+ (NSColorPanel*) sharedColorPanel;
Availability: OpenStep

Creates (if needed) and returns the shared NSColorPanel.

### sharedColorPanelExists

+ (BOOL) sharedColorPanelExists;
Availability: OpenStep

Returns whether the NSColorPanel has been already created.

### accessoryView

- (NSView*) accessoryView;
Availability: OpenStep

Returns the NSColorPanel's accessory view if it exists, `nil` otherwise.

See Also: -setAccessoryView:

### alpha

- (float) alpha;
Availability: OpenStep

Returns the alpha value of the NSColorPanel. Returns 1.0 if the NSColorPanel does not show alpha

See Also: -showsAlpha -setShowsAlpha:

### attachColorList:

- (void) attachColorList: (NSColorList*)aColorList;
Availability: OpenStep
Description forthcoming.

### color

- (NSColor*) color;
Availability: OpenStep

Returns the current NSColor displayed by the NSColorPanel.

See Also : -setColor:

### detachColorList:

- (void) detachColorList: (NSColorList*)aColorList;
Availability: OpenStep
Description forthcoming.

### isContinuous

- (BOOL) isContinuous;
Availability: OpenStep

Returns whether the NSColorPanel continuously sends its action message.

See Also: -setContinuous:-setAction: -setTarget:

### mode

- (int) mode;
Availability: OpenStep

Returns the current mode of the NSColorPanel.

See Also: -setMode:

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;
Availability: OpenStep

Sets the accessoryView to a view. The old view (if exists) will be remove (and release). You need to retain it if you want to use it later

See Also: -accessoryView

### setAction:

- (void) setAction: (SEL)aSelector;
Availability: OpenStep

Sets the NSColorPanl action method to aSelector The action message is usally send in -setColor: , when the picker is updated, when a new picker is show, when the alpha is changed or when one of the color well at the bottom is selected.

### setColor:

- (void) setColor: (NSColor*)aColor;
Availability: OpenStep

Sets the NSColor displayed to aColor. This method post a NSColorPanelColorChangedNotification notification if needed.

See Also: -color [NSColorWell -setColor:]

### setContinuous:

- (void) setContinuous: (BOOL)flag;
Availability: OpenStep

Sets whether the NSColorPanel sends continuously action messages

See Also: -isContinuous

### setMode:

- (void) setMode: (int)mode;
Availability: OpenStep

Set the NSColorPanel mode to mode.

See Also: -mode

### setShowsAlpha:

- (void) setShowsAlpha: (BOOL)flag;
Availability: OpenStep

Sets whether the NSColorPanel shows alpha values and the alpha slider.

See Also: -showsAlpha

### setTarget:

- (void) setTarget: (id)anObject;
Availability: OpenStep

Sets the target object to anObject

### showsAlpha

- (BOOL) showsAlpha;
Availability: OpenStep

Returns whether the NSColorPanel shows alpha values and the alpha slider

See Also: -setShowsAlpha:

## Instance Variables for NSColorPanel Class

### _accessoryView

@protected NSView* _accessoryView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _action

@protected SEL _action;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _alphaSlider

@protected NSSlider* _alphaSlider;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _colorWell

@protected NSColorWell* _colorWell;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _currentPicker

@protected id<NSColorPickingCustom,NSColorPickingDefault> _currentPicker;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isContinuous

@protected BOOL _isContinuous;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _magnifyButton

@protected NSButton* _magnifyButton;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pickerBox

@protected NSBox* _pickerBox;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pickerMatrix

@protected NSMatrix* _pickerMatrix;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pickers

@protected NSMutableArray* _pickers;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _showsAlpha

@protected BOOL _showsAlpha;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _splitView

@protected NSSplitView* _splitView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _target

@protected id _target;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _topView

@protected NSView* _topView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSApplication(NSColorPanel) category

## NSApplication(NSColorPanel)

> Declared in:
>   AppKit/NSColorPanel.h

Availability: OpenStep
Description forthcoming.
Method summary

- -orderFrontColorPanel:

### orderFrontColorPanel:

- (void) orderFrontColorPanel: (id)sender;
Availability: OpenStep
Description forthcoming.

Up